// Sample data (replace this with your actual data)
const data = {
  labels: [
    'Jan',
    'Feb',
    'Mar',
    'Apr',
    'May',
    'Jun',
    'Jul',
    'Aug',
    'Sep',
    'Oct',
    'Nov',
    'Dec',
  ], // Months
  datasets: [
    {
      label: '2020',
      backgroundColor: gradientColor(
        'rgba(255, 99, 132, 0.2)',
        'rgba(255, 99, 132, 0.8)',
      ),
      borderColor: 'rgba(255, 99, 132, 1)',
      borderWidth: 1,
      data: [
        21, 26, 27, 25, 15, 13, 17, 22, 24, 26, 29, 27,
      ],
    },
    {
      label: '2021',
      backgroundColor: gradientColor(
        'rgba(54, 162, 235, 0.2)',
        'rgba(54, 162, 235, 0.8)',
      ), // Gradient color for 2021
      borderColor: 'rgba(54, 162, 235, 1)',
      borderWidth: 1,
      data: [
        20, 29, 29, 27, 20, 18, 19, 25, 26, 28, 31, 29,
      ],
    },
    {
      label: '2022',
      backgroundColor: gradientColor(
        'rgba(255, 206, 86, 0.2)',
        'rgba(255, 206, 86, 0.8)',
      ),
      borderColor: 'rgba(255, 206, 86, 1)',
      borderWidth: 1,
      data: [
        22, 29, 30, 34, 32, 28, 31, 32, 33, 35, 30, 28,
      ],
    },
  ],
};

// Function to generate gradient color
function gradientColor(startColor, endColor) {
  var ctx = document
    .createElement('canvas')
    .getContext('2d');
  var gradient = ctx.createLinearGradient(0, 0, 0, 400);
  gradient.addColorStop(0, startColor);
  gradient.addColorStop(1, endColor);
  return gradient;
}

// Configuration options with tooltips, legend, and zoom
const config = {
  type: 'line',
  data: data,
  options: {
    plugins: {
      title: {
        display: true,
        text: 'Variation of Temperature over Months and Years in San Francisco',
      },
      tooltip: {
        enabled: true,
        intersect: false,
      },
      legend: {
        display: true,
        position: 'bottom',
      },
      zoom: {
        zoom: {
          wheel: {
            enabled: true,
          },
          pinch: {
            enabled: true,
          },
          mode: 'xy',
        },
      },
    },
    scales: {
      x: {
        title: {
          display: true,
          text: 'Month',
        },
      },
      y: {
        title: {
          display: true,
          text: 'Temperature',
        },
      },
    },
    elements: {
      line: {
        fill: true,
      },
    },
  },
};

// Create the chart
var myChart = new Chart('myChart', config);
